Locale::filterMatches
Locale::getDefault
Locale
PHP Manual

# Locale::getAllVariants

# locale_get_all_variants

(No version information available, might be only in CVS)

Locale::getAllVariants -- locale_get_all_variants — Gets the variants for the input locale

### Description

Object oriented style

static array Locale::getAllVariants ( string `$locale` )

Procedural style

array locale_get_all_variants ( string `$locale` )

Gets the variants for the input locale

### Parameters

`locale`

  The locale to extract the variants from

### Return Values

The array containing the list of all variants subtag for the locale or `NULL` if not present

### Examples

Example #1 locale_get_all_variants() example

`<?php
$arr = locale_get_all_variants('sl_IT_NEDIS_ROJAZ_1901');
var_export( $arr );
?>`

Example #2 OO example

`<?php
$arr = Locale::getAllVariants('sl_IT_NEDIS_ROJAZ_1901');
var_export( $arr );
?>`

The above example will output:

    array (
        0 => 'NEDIS',
        1 => 'ROJAZ',
        2 => '1901',
    )

### See Also

- locale_get_primary_language()
- locale_get_script()
- locale_get_region()

Locale::filterMatches
Locale::getDefault
Locale
PHP Manual